# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Enum QueryParameter.Type

    java.lang.Object
      java.lang.Enum<QueryParameter.Type>
          com.google.gdata.data.docs.QueryParameter.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QueryParameter.Type>

Enclosing class:
  QueryParameter

    public static enum QueryParameter.Type

extends java.lang.Enum<QueryParameter.Type>

Type.

Enum Constant Summary
`AUTHOR` Author query parameter.
`CATEGORY` Category query parameter.
`OPENED_MAX` Opened-max query parameter.
`OPENED_MIN` Opened-min query parameter.
`OWNER` Owner query parameter.
`Q` Q query parameter.
`READER` Reader query parameter.
`TITLE` Title query parameter.
`TITLE_EXACT` Title-exact query parameter.
`UPDATED_MAX` Updated-max query parameter.
`UPDATED_MIN` Updated-min query parameter.
`WRITER` Writer query parameter.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static QueryParameter.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QueryParameter.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTHOR

    public static final QueryParameter.Type AUTHOR

  Author query parameter.

### CATEGORY

    public static final QueryParameter.Type CATEGORY

  Category query parameter.

### OPENED_MAX

    public static final QueryParameter.Type OPENED_MAX

  Opened-max query parameter.

### OPENED_MIN

    public static final QueryParameter.Type OPENED_MIN

  Opened-min query parameter.

### OWNER

    public static final QueryParameter.Type OWNER

  Owner query parameter.

### Q

    public static final QueryParameter.Type Q

  Q query parameter.

### READER

    public static final QueryParameter.Type READER

  Reader query parameter.

### TITLE

    public static final QueryParameter.Type TITLE

  Title query parameter.

### TITLE_EXACT

    public static final QueryParameter.Type TITLE_EXACT

  Title-exact query parameter.

### UPDATED_MAX

    public static final QueryParameter.Type UPDATED_MAX

  Updated-max query parameter.

### UPDATED_MIN

    public static final QueryParameter.Type UPDATED_MIN

  Updated-min query parameter.

### WRITER

    public static final QueryParameter.Type WRITER

  Writer query parameter.

Method Detail

### values

    public static QueryParameter.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryParameter.Type c : QueryParameter.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryParameter.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML